


// L4: Function.

func memory_generateConstPlayfield(
  _ n: Int
) -> [Int: Int] {
  var idGroups = [Int: Int]()
  var id = 0
  for gid in stride(from: 0, to: n, by: 1) {
    idGroups[id] = gid
    id += 1
    idGroups[id] = gid
    id += 1
  }
  return idGroups
}

// L20: Test.

func test_memory_generateConstPlayfield() -> String {
  let idGroups = memory_generateConstPlayfield(2)
  if (
    idGroups.count == 4 &&
    idGroups[0] == 0 &&
    idGroups[1] == 0 &&
    idGroups[2] == 1 &&
    idGroups[3] == 1
  ) {
    return "OK: memory_generateConstPlayfield"
  }
  return "ERR: memory_generateConstPlayfield"
}

// L36: Run.

print(test_memory_generateConstPlayfield())
